Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.platform.axion
Class AxionPlatform

    java.lang.Object
      org.apache.ddlutils.util.JdbcSupport
          org.apache.ddlutils.platform.PlatformImplBase
              org.apache.ddlutils.platform.axion.AxionPlatform

All Implemented Interfaces:
  Platform

    public class AxionPlatform

extends PlatformImplBase

The platform for the Axion database.

Version:
  $Revision: 231306 $

Field Summary
`static String` | `DATABASENAME` Database name of this platform.
`static String` | `JDBC_DRIVER` The axion jdbc driver.
`static String` | `JDBC_SUBPROTOCOL` The subprotocol used by the axion driver.

Fields inherited from class org.apache.ddlutils.platform.PlatformImplBase
`MODEL_DEFAULT_NAME`

Constructor Summary
`AxionPlatform()` Creates a new axion platform instance.

Method Summary
`void` | `createDatabase(String jdbcDriverClassName, String connectionUrl, String username, String password, Map parameters)` Creates the database specified by the given parameters. Please note that this method does not use a data source set via `Platform.setDataSource(DataSource)` because it is not possible to retrieve the connection information from it without establishing a connection. The given connection url is the url that you'd use to connect to the already-created database. On some platforms, this method suppurts additional parameters. These are documented in the manual section for the individual platforms.
`protected Object` | `extractColumnValue(ResultSet resultSet, String columnName, int columnIdx, int jdbcType)` This is the core method to retrieve a value for a column from a result set.
`String` | `getName()` Returns the name of the database that this platform is for.

Methods inherited from class org.apache.ddlutils.platform.PlatformImplBase
`afterInsert, afterUpdate, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, alterTables, beforeInsert, beforeUpdate, createDeleteSql, createInsertSql, createResultSetIterator, createSelectLastInsertIdSql, createTables, createTables, createTables, createTables, createUpdateSql, delete, delete, dropDatabase, dropTable, dropTable, dropTables, dropTables, evaluateBatch, evaluateBatch, exists, fetch, fetch, fetch, fetch, fetch, fetch, fetch, fetch, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getAlterTablesSql, getCreateTablesSql, getCreateTablesSql, getDeleteSql, getDropTableSql, getDropTablesSql, getInsertSql, getLog, getModelReader, getObjectFromResultSet, getObjectFromResultSet, getPlatformInfo, getSqlBuilder, getUpdateSql, insert, insert, insert, insert, isDelimitedIdentifierModeOn, isForeignKeysSorted, isIdentityOverrideOn, isScriptModeOn, isSqlCommentsOn, logWarnings, postprocessModelFromDatabase, query, query, query, query, readModelFromDatabase, readModelFromDatabase, readModelFromDatabase, readModelFromDatabase, setDelimitedIdentifierModeOn, setForeignKeysSorted, setIdentityOverrideOn, setModelReader, setObject, setScriptModeOn, setSqlBuilder, setSqlCommentsOn, setStatementParameterValue, shutdownDatabase, shutdownDatabase, store, toColumnValues, update, update`

Methods inherited from class org.apache.ddlutils.util.JdbcSupport
`borrowConnection, closeStatement, getDataSource, getPassword, getUsername, returnConnection, setDataSource, setPassword, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ddlutils.Platform
`borrowConnection, getDataSource, getPassword, getUsername, returnConnection, setDataSource, setPassword, setUsername`

Field Detail

### DATABASENAME

    public static final String DATABASENAME

  Database name of this platform.

  See Also:
    Constant Field Values

### JDBC_DRIVER

    public static final String JDBC_DRIVER

  The axion jdbc driver.

  See Also:
    Constant Field Values

### JDBC_SUBPROTOCOL

    public static final String JDBC_SUBPROTOCOL

  The subprotocol used by the axion driver.

  See Also:
    Constant Field Values

Constructor Detail

### AxionPlatform

    public AxionPlatform()

  Creates a new axion platform instance.

Method Detail

### getName

    public String getName()

  Returns the name of the database that this platform is for.

  Returns:
    The name

### createDatabase

    public void createDatabase(String jdbcDriverClassName,
                               String connectionUrl,
                               String username,
                               String password,
                               Map parameters)
                        throws DatabaseOperationException,
                               UnsupportedOperationException

  Creates the database specified by the given parameters. Please note that this method does not use a data source set via `Platform.setDataSource(DataSource)` because it is not possible to retrieve the connection information from it without establishing a connection.
  The given connection url is the url that you'd use to connect to the already-created database.
  On some platforms, this method suppurts additional parameters. These are documented in the manual section for the individual platforms.

  Specified by:
    `createDatabase` in interface `Platform`
  Overrides:
    `createDatabase` in class `PlatformImplBase`
  Parameters:
    `jdbcDriverClassName` - The jdbc driver class name
    `connectionUrl` - The url to connect to the database if it were already created
    `username` - The username for creating the database
    `password` - The password for creating the database
    `parameters` - Additional parameters relevant to database creation (which are platform specific)
  Throws:
    `DatabaseOperationException`
    `UnsupportedOperationException`

### extractColumnValue

    protected Object extractColumnValue(ResultSet resultSet,
                                        String columnName,
                                        int columnIdx,
                                        int jdbcType)
                                 throws SQLException

  This is the core method to retrieve a value for a column from a result set. Its primary purpose is to call the appropriate method on the result set, and to provide an extension point where database-specific implementations can change this behavior.

  Overrides:
    `extractColumnValue` in class `PlatformImplBase`
  Parameters:
    `resultSet` - The result set to extract the value from
    `columnName` - The name of the column; can be `null` in which case the `columnIdx` will be used instead
    `columnIdx` - The index of the column's value in the result set; is only used if `columnName` is `null`
    `jdbcType` - The jdbc type to extract
  Returns:
    The value
  Throws:
    `SQLException` - If an error occurred while accessing the result set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.